PHPExcel_Cell

# Class: PHPExcel_Cell_DataValidation

Source Location: /PHPExcel/Cell/DataValidation.php

### Class Overview

PHPExcel_Cell_DataValidation

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- OPERATOR_BETWEEN
- OPERATOR_EQUAL
- OPERATOR_GREATERTHAN
- OPERATOR_GREATERTHANOREQUAL
- OPERATOR_LESSTHAN
- OPERATOR_LESSTHANOREQUAL
- OPERATOR_NOTBETWEEN
- OPERATOR_NOTEQUAL
- STYLE_INFORMATION
- STYLE_STOP
- STYLE_WARNING
- TYPE_CUSTOM
- TYPE_DATE
- TYPE_DECIMAL
- TYPE_LIST
- TYPE_NONE
- TYPE_TEXTLENGTH
- TYPE_TIME
- TYPE_WHOLE

### Methods

- __construct
- getAllowBlank
- getError
- getErrorStyle
- getErrorTitle
- getFormula1
- getFormula2
- getHashCode
- getOperator
- getPrompt
- getPromptTitle
- getShowDropDown
- getShowErrorMessage
- getShowInputMessage
- getType
- setAllowBlank
- setError
- setErrorStyle
- setErrorTitle
- setFormula1
- setFormula2
- setOperator
- setPrompt
- setPromptTitle
- setShowDropDown
- setShowErrorMessage
- setShowInputMessage
- setType
- __clone

### Class Details

[line 36]
PHPExcel_Cell_DataValidation

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 159]

`PHPExcel_Cell_DataValidation __construct( )`

Create a new PHPExcel_Cell_DataValidation

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getAllowBlank [line 282]

`boolean getAllowBlank( )`

Get Allow Blank

#### Tags:

access: | public

[ Top ]

### method getError [line 382]

`string getError( )`

Get Error

#### Tags:

access: | public

[ Top ]

### method getErrorStyle [line 242]

`string getErrorStyle( )`

Get Error style

#### Tags:

access: | public

[ Top ]

### method getErrorTitle [line 362]

`string getErrorTitle( )`

Get Error title

#### Tags:

access: | public

[ Top ]

### method getFormula1 [line 182]

`string getFormula1( )`

Get Formula 1

#### Tags:

access: | public

[ Top ]

### method getFormula2 [line 202]

`string getFormula2( )`

Get Formula 2

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 442]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getOperator [line 262]

`string getOperator( )`

Get Operator

#### Tags:

access: | public

[ Top ]

### method getPrompt [line 422]

`string getPrompt( )`

Get Prompt

#### Tags:

access: | public

[ Top ]

### method getPromptTitle [line 402]

`string getPromptTitle( )`

Get Prompt title

#### Tags:

access: | public

[ Top ]

### method getShowDropDown [line 302]

`boolean getShowDropDown( )`

Get Show DropDown

#### Tags:

access: | public

[ Top ]

### method getShowErrorMessage [line 342]

`boolean getShowErrorMessage( )`

Get Show ErrorMessage

#### Tags:

access: | public

[ Top ]

### method getShowInputMessage [line 322]

`boolean getShowInputMessage( )`

Get Show InputMessage

#### Tags:

access: | public

[ Top ]

### method getType [line 222]

`string getType( )`

Get Type

#### Tags:

access: | public

[ Top ]

### method setAllowBlank [line 292]

`PHPExcel_Cell_DataValidation setAllowBlank( [boolean $value = false])`

Set Allow Blank

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setError [line 392]

`PHPExcel_Cell_DataValidation setError( [string $value = ''])`

Set Error

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setErrorStyle [line 252]

`PHPExcel_Cell_DataValidation setErrorStyle( [string $value = PHPExcel_Cell_DataValidation::STYLE_STOP])`

Set Error style

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setErrorTitle [line 372]

`PHPExcel_Cell_DataValidation setErrorTitle( [string $value = ''])`

Set Error title

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setFormula1 [line 192]

`PHPExcel_Cell_DataValidation setFormula1( [string $value = ''])`

Set Formula 1

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setFormula2 [line 212]

`PHPExcel_Cell_DataValidation setFormula2( [string $value = ''])`

Set Formula 2

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setOperator [line 272]

`PHPExcel_Cell_DataValidation setOperator( [string $value = ''])`

Set Operator

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setPrompt [line 432]

`PHPExcel_Cell_DataValidation setPrompt( [string $value = ''])`

Set Prompt

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setPromptTitle [line 412]

`PHPExcel_Cell_DataValidation setPromptTitle( [string $value = ''])`

Set Prompt title

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setShowDropDown [line 312]

`PHPExcel_Cell_DataValidation setShowDropDown( [boolean $value = false])`

Set Show DropDown

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setShowErrorMessage [line 352]

`PHPExcel_Cell_DataValidation setShowErrorMessage( [boolean $value = false])`

Set Show ErrorMessage

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setShowInputMessage [line 332]

`PHPExcel_Cell_DataValidation setShowInputMessage( [boolean $value = false])`

Set Show InputMessage

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setType [line 232]

`PHPExcel_Cell_DataValidation setType( [string $value = PHPExcel_Cell_DataValidation::TYPE_NONE])`

Set Type

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method __clone [line 464]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### OPERATOR_BETWEEN = 'between'

[line 54]

[ Top ]

#### OPERATOR_EQUAL = 'equal'

[line 55]

[ Top ]

#### OPERATOR_GREATERTHAN = 'greaterThan'

[line 56]

[ Top ]

#### OPERATOR_GREATERTHANOREQUAL = 'greaterThanOrEqual'

[line 57]

[ Top ]

#### OPERATOR_LESSTHAN = 'lessThan'

[line 58]

[ Top ]

#### OPERATOR_LESSTHANOREQUAL = 'lessThanOrEqual'

[line 59]

[ Top ]

#### OPERATOR_NOTBETWEEN = 'notBetween'

[line 60]

[ Top ]

#### OPERATOR_NOTEQUAL = 'notEqual'

[line 61]

[ Top ]

#### STYLE_INFORMATION = 'information'

[line 51]

[ Top ]

#### STYLE_STOP = 'stop'

[line 49]

[ Top ]

#### STYLE_WARNING = 'warning'

[line 50]

[ Top ]

#### TYPE_CUSTOM = 'custom'

[line 40]

[ Top ]

#### TYPE_DATE = 'date'

[line 41]

[ Top ]

#### TYPE_DECIMAL = 'decimal'

[line 42]

[ Top ]

#### TYPE_LIST = 'list'

[line 43]

[ Top ]

#### TYPE_NONE = 'none'

[line 39]

[ Top ]

#### TYPE_TEXTLENGTH = 'textLength'

[line 44]

[ Top ]

#### TYPE_TIME = 'time'

[line 45]

[ Top ]

#### TYPE_WHOLE = 'whole'

[line 46]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:40 +0200 by phpDocumentor 1.4.4